מחוברים עכשיו  

/v1/reservation/

Native v2 reservation detail, share, and review endpoints.
GET

/v1/reservation/get_detail

#
Returns a native v2 reservation payload for the acting viewer. Public-by-design: anonymous share links reveal teaser metadata only; exact reservation details require sign-in.

פרמטרים

שםסוגחובהברירת מחדלתיאור
listingUUID string לא "" Reservation/listing UUID.
sharecode string לא "" Share code from /share/{code}.
reviewMode bool לא false Include reviewer context when the acting user can review this reservation.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/reservation/get_detail' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'sharecode={{sharecode}}' \
  --data-urlencode 'reviewMode={{reviewMode}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$reservation_get_detail_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payload כן
$.oneOf[0].allOf[1].Payload.oneOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].mode = "detail" כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].totalinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].submittedinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].urlstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].transactionIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].accessobject כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.canViewFullboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isOwnerboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isSharedGuestboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isReviewerboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isUnlockedDetailboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.authorizedByShareCodeboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].access.readOnly = true לא
$.oneOf[0].allOf[1].Payload.oneOf[0].locationobject כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.namestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.aliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.addressstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.googleMapsURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.cityLinestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.timezonestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].location.imageURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservationobject כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.refundStatusLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.descriptorstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.inventoryNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.datestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timeLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateTimeLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.partySizeLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.checkInNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.emailstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.phonestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.detailStatementstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseSummarystring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseAmountFormattedstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.statusstring ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.headcountinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFieldsarray כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[]object לא
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].labelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].typestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].valuestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.isPastboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].peopleobject כן
$.oneOf[0].allOf[1].Payload.oneOf[0].people.ownerAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].people.creatorAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guestsReservationGuests כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[0]array כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].shareURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].headcountinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].confirmedCountinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].pendingSlotsinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].itemsarray כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[]object לא
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].kindstring ["owner","shared"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].namestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].aliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].statusstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].lastSeenLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].reviewReservationReview כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[0]array כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].canReview = false כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].isActive = false כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].revisionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].canReview = true כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isActive = true כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].needsBeginboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isInProgressboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isSelfReviewboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardEligibleboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardPointsinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceSmallestUnitinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardFormattedstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].questionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByDatestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByTimestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].legacyReviewURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].amountFormattedstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].discussionURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].historyarray כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[]object לא
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].createdLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].statusstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionHTMLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].reviewerAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actionsReservationActions כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].shareURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceCheckoutURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceLocationNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceInventoryNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceDateLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceTimeLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportProblemURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatV2URLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatV2URLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].absoluteShareURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAppointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceSmallestUnitinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAvailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].manageAvailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportInfractionAvailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAvailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferServiceobject כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.visibleboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestAvailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelAvailableboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isRequestedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isInTransferboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isCompletedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isFailedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.typestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.statusstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.currentNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedGivenNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedFamilyNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedByAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedAtstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestEndpointstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelEndpointstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].titlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].promptstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellEndpointstring לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellListingIDstring לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellLocationNamestring לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellInventoryNamestring לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellDateLabelstring לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTimeLabelstring לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAppointmentIDinteger לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellCurrentPriceSmallestUnitinteger לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMinPriceinteger לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMaxPriceinteger לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTransferFeeBasisPointsinteger לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRequiresReviewboolean לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSelfReviewAvailableboolean לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRelistOriginalboolean לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffersarray לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[]object לא
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].timeLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].priceLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].inventoryTypestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.oneOf[0].copyobject כן
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.titlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.descriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1]object כן
$.oneOf[0].allOf[1].Payload.oneOf[1].mode = "teaser" כן
$.oneOf[0].allOf[1].Payload.oneOf[1].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[1].shareCodestring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].shareURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].ownerAliasstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].locationobject כן
$.oneOf[0].allOf[1].Payload.oneOf[1].location.idinteger כן
$.oneOf[0].allOf[1].Payload.oneOf[1].location.namestring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].location.categoryDescriptionstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].location.citystring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].location.imageURLstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].reservationobject כן
$.oneOf[0].allOf[1].Payload.oneOf[1].reservation.descriptorstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].reservation.partySizeLabelstring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].copyobject כן
$.oneOf[0].allOf[1].Payload.oneOf[1].copy.titlestring כן
$.oneOf[0].allOf[1].Payload.oneOf[1].copy.descriptionstring כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/get_detail",
    "RequestUserAlias": "example-user",
    "Payload": {
        "mode": "detail",
        "customerSurveys": {
            "total": 0,
            "submitted": 0,
            "url": "synthetic-example",
            "transactionID": 0
        },
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "access": {
            "role": "owner",
            "canViewFull": false,
            "isOwner": false,
            "isSharedGuest": false,
            "isReviewer": false,
            "isUnlockedDetail": false,
            "authorizedByShareCode": false
        },
        "location": {
            "id": 0,
            "name": "synthetic-example",
            "alias": "synthetic-example",
            "address": "synthetic-example",
            "googleMapsURL": "synthetic-example",
            "cityLine": "synthetic-example",
            "timezone": "synthetic-example",
            "imageURL": "synthetic-example"
        },
        "reservation": {
            "refundStatusLabel": "synthetic-example",
            "descriptor": "synthetic-example",
            "inventoryName": "synthetic-example",
            "date": "synthetic-example",
            "time": "synthetic-example",
            "dateLabel": "synthetic-example",
            "timeLabel": "synthetic-example",
            "dateTimeLabel": "synthetic-example",
            "partySizeLabel": "synthetic-example",
            "checkInName": "synthetic-example",
            "email": "synthetic-example",
            "phone": "synthetic-example",
            "detailStatement": "synthetic-example",
            "purchaseSummary": "synthetic-example",
            "purchaseAmountFormatted": "synthetic-example",
            "status": "Draft",
            "headcount": 0,
            "customFields": [],
            "isPast": false
        },
        "people": {
            "ownerAlias": "synthetic-example",
            "creatorAlias": "synthetic-example"
        },
        "guests": [],
        "review": [],
        "actions": {
            "shareURL": "synthetic-example",
            "addTransferServiceCheckoutURL": "synthetic-example",
            "addTransferServicePriceLabel": "synthetic-example",
            "addTransferServiceLocationName": "synthetic-example",
            "addTransferServiceInventoryName": "synthetic-example",
            "addTransferServiceDateLabel": "synthetic-example",
            "addTransferServiceTimeLabel": "synthetic-example",
            "reportProblemURL": "synthetic-example",
            "refundChatURL": "synthetic-example",
            "refundChatV2URL": "synthetic-example",
            "sellerChatURL": "synthetic-example",
            "sellerChatV2URL": "synthetic-example",
            "absoluteShareURL": "synthetic-example",
            "addServiceAppointmentID": 0,
            "addTransferServicePriceSmallestUnit": 0,
            "refundChatID": 0,
            "sellerChatID": 0,
            "addServiceAvailable": false,
            "manageAvailable": false,
            "reportInfractionAvailable": false,
            "resellAvailable": false,
            "transferService": {
                "visible": false,
                "requestAvailable": false,
                "cancelAvailable": false,
                "isRequested": false,
                "isInTransfer": false,
                "isCompleted": false,
                "isFailed": false,
                "appointmentID": 0,
                "type": "synthetic-example",
                "status": "synthetic-example",
                "listingUUID": "synthetic-example",
                "currentName": "synthetic-example",
                "requestedName": "synthetic-example",
                "requestedGivenName": "synthetic-example",
                "requestedFamilyName": "synthetic-example",
                "requestedByAlias": "synthetic-example",
                "requestedAt": "synthetic-example",
                "requestEndpoint": "synthetic-example",
                "cancelEndpoint": "synthetic-example"
            },
            "reviewRequest": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            },
            "locationReview": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            }
        },
        "copy": {
            "title": "synthetic-example",
            "description": "synthetic-example"
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/reservation/get_transfer_detail

#
Returns read-only reservation details for a transfer chat participant. Requires the current buyer or assigned transfer agent and a matching transfer chat. Locked buyers receive a summary and time window, without private booking fields. Opening this view never accepts a share invitation or changes the transfer.

פרמטרים

שםסוגחובהברירת מחדלתיאור
transferChatID int לא 0 Transfer chat ID.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/reservation/get_transfer_detail' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'transferChatID={{transferChatID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$reservation_get_transfer_detail_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.mode = "detail" כן
$.oneOf[0].allOf[1].Payload.customerSurveys כן
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].totalinteger כן
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].submittedinteger כן
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].urlstring כן
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].transactionIDinteger כן
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.accessobject כן
$.oneOf[0].allOf[1].Payload.access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] כן
$.oneOf[0].allOf[1].Payload.access.canViewFullboolean כן
$.oneOf[0].allOf[1].Payload.access.isOwnerboolean כן
$.oneOf[0].allOf[1].Payload.access.isSharedGuestboolean כן
$.oneOf[0].allOf[1].Payload.access.isReviewerboolean כן
$.oneOf[0].allOf[1].Payload.access.isUnlockedDetailboolean כן
$.oneOf[0].allOf[1].Payload.access.authorizedByShareCodeboolean כן
$.oneOf[0].allOf[1].Payload.access.readOnly = true לא
$.oneOf[0].allOf[1].Payload.locationobject כן
$.oneOf[0].allOf[1].Payload.location.idinteger כן
$.oneOf[0].allOf[1].Payload.location.namestring כן
$.oneOf[0].allOf[1].Payload.location.aliasstring כן
$.oneOf[0].allOf[1].Payload.location.addressstring כן
$.oneOf[0].allOf[1].Payload.location.googleMapsURLstring כן
$.oneOf[0].allOf[1].Payload.location.cityLinestring כן
$.oneOf[0].allOf[1].Payload.location.timezonestring כן
$.oneOf[0].allOf[1].Payload.location.imageURLstring כן
$.oneOf[0].allOf[1].Payload.reservationobject כן
$.oneOf[0].allOf[1].Payload.reservation.refundStatusLabelstring כן
$.oneOf[0].allOf[1].Payload.reservation.descriptorstring כן
$.oneOf[0].allOf[1].Payload.reservation.inventoryNamestring כן
$.oneOf[0].allOf[1].Payload.reservation.datestring כן
$.oneOf[0].allOf[1].Payload.reservation.timestring כן
$.oneOf[0].allOf[1].Payload.reservation.dateLabelstring כן
$.oneOf[0].allOf[1].Payload.reservation.timeLabelstring כן
$.oneOf[0].allOf[1].Payload.reservation.dateTimeLabelstring כן
$.oneOf[0].allOf[1].Payload.reservation.partySizeLabelstring כן
$.oneOf[0].allOf[1].Payload.reservation.checkInNamestring כן
$.oneOf[0].allOf[1].Payload.reservation.emailstring כן
$.oneOf[0].allOf[1].Payload.reservation.phonestring כן
$.oneOf[0].allOf[1].Payload.reservation.detailStatementstring כן
$.oneOf[0].allOf[1].Payload.reservation.purchaseSummarystring כן
$.oneOf[0].allOf[1].Payload.reservation.purchaseAmountFormattedstring כן
$.oneOf[0].allOf[1].Payload.reservation.statusstring ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] כן
$.oneOf[0].allOf[1].Payload.reservation.headcountinteger כן
$.oneOf[0].allOf[1].Payload.reservation.customFieldsarray כן
$.oneOf[0].allOf[1].Payload.reservation.customFields[]object לא
$.oneOf[0].allOf[1].Payload.reservation.customFields[].idinteger כן
$.oneOf[0].allOf[1].Payload.reservation.customFields[].labelstring כן
$.oneOf[0].allOf[1].Payload.reservation.customFields[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.reservation.customFields[].typestring כן
$.oneOf[0].allOf[1].Payload.reservation.customFields[].valuestring כן
$.oneOf[0].allOf[1].Payload.reservation.isPastboolean כן
$.oneOf[0].allOf[1].Payload.peopleobject כן
$.oneOf[0].allOf[1].Payload.people.ownerAliasstring כן
$.oneOf[0].allOf[1].Payload.people.creatorAliasstring כן
$.oneOf[0].allOf[1].Payload.guestsReservationGuests כן
$.oneOf[0].allOf[1].Payload.guests.anyOf[0]array כן
$.oneOf[0].allOf[1].Payload.guests.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].shareURLstring כן
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].headcountinteger כן
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].confirmedCountinteger כן
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].pendingSlotsinteger כן
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].itemsarray כן
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[]object לא
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].kindstring ["owner","shared"] כן
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].namestring כן
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].aliasstring כן
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].statusstring כן
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].lastSeenLabelstring כן
$.oneOf[0].allOf[1].Payload.reviewReservationReview כן
$.oneOf[0].allOf[1].Payload.review.anyOf[0]array כן
$.oneOf[0].allOf[1].Payload.review.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.review.anyOf[1].canReview = false כן
$.oneOf[0].allOf[1].Payload.review.anyOf[1].isActive = false כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2]object כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].revisionstring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].canReview = true כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isActive = true כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].needsBeginboolean כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isInProgressboolean כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isSelfReviewboolean כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardEligibleboolean כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardPointsinteger כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].askingPriceSmallestUnitinteger כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardFormattedstring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].askingPriceFormattedstring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].questionstring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByDatestring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByTimestring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByLabelstring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].legacyReviewURLstring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].amountFormattedstring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].discussionURLstring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].historyarray כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[]object לא
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].createdLabelstring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].statusstring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].descriptionHTMLstring כן
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].reviewerAliasstring כן
$.oneOf[0].allOf[1].Payload.actionsReservationActions כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].shareURLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceCheckoutURLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServicePriceLabelstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceLocationNamestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceInventoryNamestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceDateLabelstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceTimeLabelstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reportProblemURLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatURLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatV2URLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatURLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatV2URLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].absoluteShareURLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addServiceAppointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServicePriceSmallestUnitinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addServiceAvailableboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].manageAvailableboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reportInfractionAvailableboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellAvailableboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferServiceobject כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.visibleboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestAvailableboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.cancelAvailableboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isRequestedboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isInTransferboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isCompletedboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isFailedboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.typestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.statusstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.currentNamestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedNamestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedGivenNamestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedFamilyNamestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedByAliasstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedAtstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestEndpointstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.cancelEndpointstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].titlestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].promptstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellEndpointstring לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellListingIDstring לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellLocationNamestring לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellInventoryNamestring לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellDateLabelstring לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellTimeLabelstring לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellAppointmentIDinteger לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellCurrentPriceSmallestUnitinteger לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellMinPriceinteger לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellMaxPriceinteger לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellTransferFeeBasisPointsinteger לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellRequiresReviewboolean לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSelfReviewAvailableboolean לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellRelistOriginalboolean לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffersarray לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[]object לא
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].timeLabelstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].priceLabelstring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].inventoryTypestring כן
$.oneOf[0].allOf[1].Payload.actions.anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.copyobject כן
$.oneOf[0].allOf[1].Payload.copy.titlestring כן
$.oneOf[0].allOf[1].Payload.copy.descriptionstring כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/get_transfer_detail",
    "RequestUserAlias": "example-user",
    "Payload": {
        "mode": "detail",
        "customerSurveys": {
            "total": 0,
            "submitted": 0,
            "url": "synthetic-example",
            "transactionID": 0
        },
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "access": {
            "role": "owner",
            "canViewFull": false,
            "isOwner": false,
            "isSharedGuest": false,
            "isReviewer": false,
            "isUnlockedDetail": false,
            "authorizedByShareCode": false
        },
        "location": {
            "id": 0,
            "name": "synthetic-example",
            "alias": "synthetic-example",
            "address": "synthetic-example",
            "googleMapsURL": "synthetic-example",
            "cityLine": "synthetic-example",
            "timezone": "synthetic-example",
            "imageURL": "synthetic-example"
        },
        "reservation": {
            "refundStatusLabel": "synthetic-example",
            "descriptor": "synthetic-example",
            "inventoryName": "synthetic-example",
            "date": "synthetic-example",
            "time": "synthetic-example",
            "dateLabel": "synthetic-example",
            "timeLabel": "synthetic-example",
            "dateTimeLabel": "synthetic-example",
            "partySizeLabel": "synthetic-example",
            "checkInName": "synthetic-example",
            "email": "synthetic-example",
            "phone": "synthetic-example",
            "detailStatement": "synthetic-example",
            "purchaseSummary": "synthetic-example",
            "purchaseAmountFormatted": "synthetic-example",
            "status": "Draft",
            "headcount": 0,
            "customFields": [],
            "isPast": false
        },
        "people": {
            "ownerAlias": "synthetic-example",
            "creatorAlias": "synthetic-example"
        },
        "guests": [],
        "review": [],
        "actions": {
            "shareURL": "synthetic-example",
            "addTransferServiceCheckoutURL": "synthetic-example",
            "addTransferServicePriceLabel": "synthetic-example",
            "addTransferServiceLocationName": "synthetic-example",
            "addTransferServiceInventoryName": "synthetic-example",
            "addTransferServiceDateLabel": "synthetic-example",
            "addTransferServiceTimeLabel": "synthetic-example",
            "reportProblemURL": "synthetic-example",
            "refundChatURL": "synthetic-example",
            "refundChatV2URL": "synthetic-example",
            "sellerChatURL": "synthetic-example",
            "sellerChatV2URL": "synthetic-example",
            "absoluteShareURL": "synthetic-example",
            "addServiceAppointmentID": 0,
            "addTransferServicePriceSmallestUnit": 0,
            "refundChatID": 0,
            "sellerChatID": 0,
            "addServiceAvailable": false,
            "manageAvailable": false,
            "reportInfractionAvailable": false,
            "resellAvailable": false,
            "transferService": {
                "visible": false,
                "requestAvailable": false,
                "cancelAvailable": false,
                "isRequested": false,
                "isInTransfer": false,
                "isCompleted": false,
                "isFailed": false,
                "appointmentID": 0,
                "type": "synthetic-example",
                "status": "synthetic-example",
                "listingUUID": "synthetic-example",
                "currentName": "synthetic-example",
                "requestedName": "synthetic-example",
                "requestedGivenName": "synthetic-example",
                "requestedFamilyName": "synthetic-example",
                "requestedByAlias": "synthetic-example",
                "requestedAt": "synthetic-example",
                "requestEndpoint": "synthetic-example",
                "cancelEndpoint": "synthetic-example"
            },
            "reviewRequest": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            },
            "locationReview": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            }
        },
        "copy": {
            "title": "synthetic-example",
            "description": "synthetic-example"
        }
    }
}
תיעוד נקודת קצה קריא למכונה
POST

/v1/reservation/set_accept_sharecode

#
Accepts a share code for the acting signed-in user.

פרמטרים

שםסוגחובהברירת מחדלתיאור
sharecode string לא "" Share code from /share/{code}.
incognito bool לא false If true, validates the share code but does not add the acting user as a shared guest.
isWritingRequest bool לא false Must be true to write the share acceptance.
דוגמת בקשה (cURL)
curl --request POST \
  'https://he.appointmenttrader.com/v1/reservation/set_accept_sharecode' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'sharecode={{sharecode}}' \
  --data-urlencode 'incognito={{incognito}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$reservation_set_accept_sharecode_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.listingUUID כן
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[1] = null כן
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[2] = false כן
$.oneOf[0].allOf[1].Payload.detailURLstring כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_accept_sharecode",
    "RequestUserAlias": "example-user",
    "Payload": {
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
תיעוד נקודת קצה קריא למכונה
POST

/v1/reservation/set_approve_review

#
Approves a native reservation review for the acting reviewer.

פרמטרים

שםסוגחובהברירת מחדלתיאור
listingUUID string לא "" Reservation/listing UUID.
isWritingRequest bool לא false Must be true to approve the review.
expectedRevision string לא "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
דוגמת בקשה (cURL)
curl --request POST \
  'https://he.appointmenttrader.com/v1/reservation/set_approve_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$reservation_set_approve_review_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.success = true כן
$.oneOf[0].allOf[1].Payload.messagestring כן
$.oneOf[0].allOf[1].Payload.appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.pointsReceivedDatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.pointsReceived.oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.pointsReceived.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.newBalance כן
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0]DatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0].oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[1]null כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_approve_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "pointsReceived": 0,
        "newBalance": 0
    }
}
תיעוד נקודת קצה קריא למכונה
POST

/v1/reservation/set_begin_review

#
Begins native reservation review for the acting reviewer.

פרמטרים

שםסוגחובהברירת מחדלתיאור
listingUUID string לא "" Reservation/listing UUID.
isWritingRequest bool לא false Must be true to claim the review.
expectedRevision string לא "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
דוגמת בקשה (cURL)
curl --request POST \
  'https://he.appointmenttrader.com/v1/reservation/set_begin_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$reservation_set_begin_review_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.success = true כן
$.oneOf[0].allOf[1].Payload.messagestring כן
$.oneOf[0].allOf[1].Payload.appointmentIDinteger כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_begin_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0
    }
}
תיעוד נקודת קצה קריא למכונה
POST

/v1/reservation/set_cancel_transfer_service

#
Cancels transfer service for the acting buyer's reservation, including transfer work already in progress.

פרמטרים

שםסוגחובהברירת מחדלתיאור
listingUUID string לא "" Reservation/listing UUID.
isWritingRequest bool לא false Must be true to cancel transfer service.
דוגמת בקשה (cURL)
curl --request POST \
  'https://he.appointmenttrader.com/v1/reservation/set_cancel_transfer_service' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$reservation_set_cancel_transfer_service_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.success = true כן
$.oneOf[0].allOf[1].Payload.messagestring כן
$.oneOf[0].allOf[1].Payload.appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.statusstring כן
$.oneOf[0].allOf[1].Payload.detailURLstring כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_cancel_transfer_service",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "status": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
תיעוד נקודת קצה קריא למכונה
POST

/v1/reservation/set_reject_review

#
Rejects a native reservation review for the acting reviewer.

פרמטרים

שםסוגחובהברירת מחדלתיאור
listingUUID string לא "" Reservation/listing UUID.
reason string לא "" Revision reason for the seller.
respondByDate string לא "" Respond-by date.
respondByTime string לא "" Respond-by time.
isWritingRequest bool לא false Must be true to reject the review.
expectedRevision string לא "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
דוגמת בקשה (cURL)
curl --request POST \
  'https://he.appointmenttrader.com/v1/reservation/set_reject_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'reason={{reason}}' \
  --data-urlencode 'respondByDate={{respondByDate}}' \
  --data-urlencode 'respondByTime={{respondByTime}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$reservation_set_reject_review_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payload כן
$.oneOf[0].allOf[1].Payload.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.anyOf[0].success = true כן
$.oneOf[0].allOf[1].Payload.anyOf[0].messagestring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.anyOf[0].revisionURLstring כן
$.oneOf[0].allOf[1].Payload.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.anyOf[1].success = true כן
$.oneOf[0].allOf[1].Payload.anyOf[1].messagestring כן
$.oneOf[0].allOf[1].Payload.anyOf[1].appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceivedDatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceived.oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceived.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance כן
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0]DatabaseNumber כןNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0].oneOf[0]number כן
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[1]null כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_reject_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "revisionURL": "synthetic-example"
    }
}
תיעוד נקודת קצה קריא למכונה
POST

/v1/reservation/set_request_transfer_service

#
Requests transfer service for the acting buyer's reservation.

פרמטרים

שםסוגחובהברירת מחדלתיאור
listingUUID string לא "" Reservation/listing UUID.
givenName string לא "" First name to put on the reservation.
familyName string לא "" Last name to put on the reservation.
isWritingRequest bool לא false Must be true to request the transfer.
דוגמת בקשה (cURL)
curl --request POST \
  'https://he.appointmenttrader.com/v1/reservation/set_request_transfer_service' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'givenName={{givenName}}' \
  --data-urlencode 'familyName={{familyName}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$reservation_set_request_transfer_service_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.success = true כן
$.oneOf[0].allOf[1].Payload.messagestring כן
$.oneOf[0].allOf[1].Payload.appointmentIDinteger כן
$.oneOf[0].allOf[1].Payload.listingUUIDstring כן
$.oneOf[0].allOf[1].Payload.status = "Transfer Requested" כן
$.oneOf[0].allOf[1].Payload.requestedNamestring כן
$.oneOf[0].allOf[1].Payload.detailURLstring כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_request_transfer_service",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "status": "Transfer Requested",
        "requestedName": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
תיעוד נקודת קצה קריא למכונה